using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<List<int>> vage = new List<List<int>>();
            List<bool> moze = new List<bool>();
            int n, m;
            string[] unos = Console.ReadLine().Split();
            n = int.Parse(unos[0]);
            m = int.Parse(unos[1]);
            for (int i = 0; i < n; i++)
            {
                string[] ulaz = Console.ReadLine().Split();
                int prvi = int.Parse(ulaz[0]);
                int drugi = int.Parse(ulaz[1]);
                List<int> par = new List<int>();
                par.Add(prvi);
                par.Add(drugi);
                vage.Add(par);
            }
            for (int i = 0; i < m; i++)
            {
                string[] ulaz = Console.ReadLine().Split();
                int x = int.Parse(ulaz[0]);
                int y = int.Parse(ulaz[1]);
                int z = int.Parse(ulaz[2]);
                bool mo = false;
                for (int j = x - 1; j <= y - 1; j++)
                {
                    if (vage[j][0] <= z && vage[j][1] >= z)
                    {
                        mo = true;
                    }
                }
                if (mo)
                    moze.Add(true);
                else moze.Add(false);
            }

            for (int i = 0; i < m; i++)
                if (moze[i])
                    Console.WriteLine("1");
                else Console.WriteLine("0");
        }
    }
}